- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Friends

# QGraphicsItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 89 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QGraphicsItem:
[legend]

List of all members.

## Public Types
enum | GraphicsItemFlag { ItemIsMovable = 0x1, ItemIsSelectable = 0x2, ItemIsFocusable = 0x4, ItemClipsToShape = 0x8, ItemClipsChildrenToShape = 0x10, ItemIgnoresTransformations = 0x20, ItemIgnoresParentOpacity = 0x40, ItemDoesntPropagateOpacityToChildren = 0x80, ItemStacksBehindParent = 0x100, ItemUsesExtendedStyleOption = 0x200, ItemHasNoContents = 0x400, ItemSendsGeometryChanges = 0x800, ItemAcceptsInputMethod = 0x1000, ItemNegativeZStacksBehindParent = 0x2000, ItemIsPanel = 0x4000, ItemIsFocusScope = 0x8000, ItemSendsScenePositionChanges = 0x10000, ItemStopsClickFocusPropagation = 0x20000 }
enum | GraphicsItemChange { ItemPositionChange, ItemMatrixChange, ItemVisibleChange, ItemEnabledChange, ItemSelectedChange, ItemParentChange, ItemChildAddedChange, ItemChildRemovedChange, ItemTransformChange, ItemPositionHasChanged, ItemTransformHasChanged, ItemSceneChange, ItemVisibleHasChanged, ItemEnabledHasChanged, ItemSelectedHasChanged, ItemParentHasChanged, ItemSceneHasChanged, ItemCursorChange, ItemCursorHasChanged, ItemToolTipChange, ItemToolTipHasChanged, ItemFlagsChange, ItemFlagsHaveChanged, ItemZValueChange, ItemZValueHasChanged, ItemOpacityChange, ItemOpacityHasChanged, ItemScenePositionHasChanged, ItemRotationChange, ItemRotationHasChanged, ItemScaleChange, ItemScaleHasChanged, ItemTransformOriginPointChange, ItemTransformOriginPointHasChanged }
enum | CacheMode { NoCache, ItemCoordinateCache, DeviceCoordinateCache }
enum | PanelModality { NonModal, PanelModal, SceneModal }
enum | { Type = 1, UserType = 65536 }
## Public Member Functions
| QGraphicsItem (QGraphicsItem *parent=0, QGraphicsScene *scene=0)
virtual | ~QGraphicsItem ()
QGraphicsScene * | scene () const
QGraphicsItem * | parentItem () const
QGraphicsItem * | topLevelItem () const
QGraphicsObject * | parentObject () const
QGraphicsWidget * | parentWidget () const
QGraphicsWidget * | topLevelWidget () const
QGraphicsWidget * | window () const
QGraphicsItem * | panel () const
void | setParentItem (QGraphicsItem *parent)
QList< QGraphicsItem * > | children () const
QList< QGraphicsItem * > | childItems () const
bool | isWidget () const
bool | isWindow () const
bool | isPanel () const
QGraphicsObject * | toGraphicsObject ()
const QGraphicsObject * | toGraphicsObject () const
QGraphicsItemGroup * | group () const
void | setGroup (QGraphicsItemGroup *group)
GraphicsItemFlags | flags () const
void | setFlag (GraphicsItemFlag flag, bool enabled=true)
void | setFlags (GraphicsItemFlags flags)
CacheMode | cacheMode () const
void | setCacheMode (CacheMode mode, const QSize &cacheSize=QSize())
PanelModality | panelModality () const
void | setPanelModality (PanelModality panelModality)
bool | isBlockedByModalPanel (QGraphicsItem **blockingPanel=0) const
QString | toolTip () const
void | setToolTip (const QString &toolTip)
QCursor | cursor () const
void | setCursor (const QCursor &cursor)
bool | hasCursor () const
void | unsetCursor ()
bool | isVisible () const
bool | isVisibleTo (const QGraphicsItem *parent) const
void | setVisible (bool visible)
void | hide ()
void | show ()
bool | isEnabled () const
void | setEnabled (bool enabled)
bool | isSelected () const
void | setSelected (bool selected)
bool | acceptDrops () const
void | setAcceptDrops (bool on)
qreal | opacity () const
qreal | effectiveOpacity () const
void | setOpacity (qreal opacity)
QGraphicsEffect * | graphicsEffect () const
void | setGraphicsEffect (QGraphicsEffect *effect)
Qt::MouseButtons | acceptedMouseButtons () const
void | setAcceptedMouseButtons (Qt::MouseButtons buttons)
bool | acceptsHoverEvents () const
void | setAcceptsHoverEvents (bool enabled)
bool | acceptHoverEvents () const
void | setAcceptHoverEvents (bool enabled)
bool | acceptTouchEvents () const
void | setAcceptTouchEvents (bool enabled)
bool | filtersChildEvents () const
void | setFiltersChildEvents (bool enabled)
bool | handlesChildEvents () const
void | setHandlesChildEvents (bool enabled)
bool | isActive () const
void | setActive (bool active)
bool | hasFocus () const
void | setFocus (Qt::FocusReason focusReason=Qt::OtherFocusReason)
void | clearFocus ()
QGraphicsItem * | focusProxy () const
void | setFocusProxy (QGraphicsItem *item)
QGraphicsItem * | focusItem () const
QGraphicsItem * | focusScopeItem () const
void | grabMouse ()
void | ungrabMouse ()
void | grabKeyboard ()
void | ungrabKeyboard ()
QPointF | pos () const
qreal | x () const
void | setX (qreal x)
qreal | y () const
void | setY (qreal y)
QPointF | scenePos () const
void | setPos (const QPointF &pos)
void | setPos (qreal x, qreal y)
void | moveBy (qreal dx, qreal dy)
void | ensureVisible (const QRectF &rect=QRectF(), int xmargin=50, int ymargin=50)
void | ensureVisible (qreal x, qreal y, qreal w, qreal h, int xmargin=50, int ymargin=50)
QMatrix | matrix () const
QMatrix | sceneMatrix () const
void | setMatrix (const QMatrix &matrix, bool combine=false)
void | resetMatrix ()
QTransform | transform () const
QTransform | sceneTransform () const
QTransform | deviceTransform (const QTransform &viewportTransform) const
QTransform | itemTransform (const QGraphicsItem *other, bool *ok=0) const
void | setTransform (const QTransform &matrix, bool combine=false)
void | resetTransform ()
void | rotate (qreal angle)
void | scale (qreal sx, qreal sy)
void | shear (qreal sh, qreal sv)
void | translate (qreal dx, qreal dy)
void | setRotation (qreal angle)
qreal | rotation () const
void | setScale (qreal scale)
qreal | scale () const
QList< QGraphicsTransform * > | transformations () const
void | setTransformations (const QList< QGraphicsTransform * > &transformations)
QPointF | transformOriginPoint () const
void | setTransformOriginPoint (const QPointF &origin)
void | setTransformOriginPoint (qreal ax, qreal ay)
virtual void | advance (int phase)
qreal | zValue () const
void | setZValue (qreal z)
void | stackBefore (const QGraphicsItem *sibling)
virtual QRectF | boundingRect () const =0
QRectF | childrenBoundingRect () const
QRectF | sceneBoundingRect () const
virtual QPainterPath | shape () const
bool | isClipped () const
QPainterPath | clipPath () const
virtual bool | contains (const QPointF &point) const
virtual bool | collidesWithItem (const QGraphicsItem *other, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
virtual bool | collidesWithPath (const QPainterPath &path, Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
QList< QGraphicsItem * > | collidingItems (Qt::ItemSelectionMode mode=Qt::IntersectsItemShape) const
bool | isObscured () const
bool | isObscured (const QRectF &rect) const
bool | isObscured (qreal x, qreal y, qreal w, qreal h) const
virtual bool | isObscuredBy (const QGraphicsItem *item) const
virtual QPainterPath | opaqueArea () const
QRegion | boundingRegion (const QTransform &itemToDeviceTransform) const
qreal | boundingRegionGranularity () const
void | setBoundingRegionGranularity (qreal granularity)
virtual void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget=0)=0
void | update (const QRectF &rect=QRectF())
void | update (qreal x, qreal y, qreal width, qreal height)
void | scroll (qreal dx, qreal dy, const QRectF &rect=QRectF())
QPointF | mapToItem (const QGraphicsItem *item, const QPointF &point) const
QPointF | mapToParent (const QPointF &point) const
QPointF | mapToScene (const QPointF &point) const
QPolygonF | mapToItem (const QGraphicsItem *item, const QRectF &rect) const
QPolygonF | mapToParent (const QRectF &rect) const
QPolygonF | mapToScene (const QRectF &rect) const
QRectF | mapRectToItem (const QGraphicsItem *item, const QRectF &rect) const
QRectF | mapRectToParent (const QRectF &rect) const
QRectF | mapRectToScene (const QRectF &rect) const
QPolygonF | mapToItem (const QGraphicsItem *item, const QPolygonF &polygon) const
QPolygonF | mapToParent (const QPolygonF &polygon) const
QPolygonF | mapToScene (const QPolygonF &polygon) const
QPainterPath | mapToItem (const QGraphicsItem *item, const QPainterPath &path) const
QPainterPath | mapToParent (const QPainterPath &path) const
QPainterPath | mapToScene (const QPainterPath &path) const
QPointF | mapFromItem (const QGraphicsItem *item, const QPointF &point) const
QPointF | mapFromParent (const QPointF &point) const
QPointF | mapFromScene (const QPointF &point) const
QPolygonF | mapFromItem (const QGraphicsItem *item, const QRectF &rect) const
QPolygonF | mapFromParent (const QRectF &rect) const
QPolygonF | mapFromScene (const QRectF &rect) const
QRectF | mapRectFromItem (const QGraphicsItem *item, const QRectF &rect) const
QRectF | mapRectFromParent (const QRectF &rect) const
QRectF | mapRectFromScene (const QRectF &rect) const
QPolygonF | mapFromItem (const QGraphicsItem *item, const QPolygonF &polygon) const
QPolygonF | mapFromParent (const QPolygonF &polygon) const
QPolygonF | mapFromScene (const QPolygonF &polygon) const
QPainterPath | mapFromItem (const QGraphicsItem *item, const QPainterPath &path) const
QPainterPath | mapFromParent (const QPainterPath &path) const
QPainterPath | mapFromScene (const QPainterPath &path) const
QPointF | mapToItem (const QGraphicsItem *item, qreal x, qreal y) const
QPointF | mapToParent (qreal x, qreal y) const
QPointF | mapToScene (qreal x, qreal y) const
QPolygonF | mapToItem (const QGraphicsItem *item, qreal x, qreal y, qreal w, qreal h) const
QPolygonF | mapToParent (qreal x, qreal y, qreal w, qreal h) const
QPolygonF | mapToScene (qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectToItem (const QGraphicsItem *item, qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectToParent (qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectToScene (qreal x, qreal y, qreal w, qreal h) const
QPointF | mapFromItem (const QGraphicsItem *item, qreal x, qreal y) const
QPointF | mapFromParent (qreal x, qreal y) const
QPointF | mapFromScene (qreal x, qreal y) const
QPolygonF | mapFromItem (const QGraphicsItem *item, qreal x, qreal y, qreal w, qreal h) const
QPolygonF | mapFromParent (qreal x, qreal y, qreal w, qreal h) const
QPolygonF | mapFromScene (qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectFromItem (const QGraphicsItem *item, qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectFromParent (qreal x, qreal y, qreal w, qreal h) const
QRectF | mapRectFromScene (qreal x, qreal y, qreal w, qreal h) const
bool | isAncestorOf (const QGraphicsItem *child) const
QGraphicsItem * | commonAncestorItem (const QGraphicsItem *other) const
bool | isUnderMouse () const
QVariant | data (int key) const
void | setData (int key, const QVariant &value)
Qt::InputMethodHints | inputMethodHints () const
void | setInputMethodHints (Qt::InputMethodHints hints)
virtual int | type () const
void | installSceneEventFilter (QGraphicsItem *filterItem)
void | removeSceneEventFilter (QGraphicsItem *filterItem)
## Protected Types
enum | Extension { UserExtension = 0x80000000 }
## Protected Member Functions
void | updateMicroFocus ()
virtual bool | sceneEventFilter (QGraphicsItem *watched, QEvent *event)
virtual bool | sceneEvent (QEvent *event)
virtual void | contextMenuEvent (QGraphicsSceneContextMenuEvent *event)
virtual void | dragEnterEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dragLeaveEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dragMoveEvent (QGraphicsSceneDragDropEvent *event)
virtual void | dropEvent (QGraphicsSceneDragDropEvent *event)
virtual void | focusInEvent (QFocusEvent *event)
virtual void | focusOutEvent (QFocusEvent *event)
virtual void | hoverEnterEvent (QGraphicsSceneHoverEvent *event)
virtual void | hoverMoveEvent (QGraphicsSceneHoverEvent *event)
virtual void | hoverLeaveEvent (QGraphicsSceneHoverEvent *event)
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | keyReleaseEvent (QKeyEvent *event)
virtual void | mousePressEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseMoveEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseReleaseEvent (QGraphicsSceneMouseEvent *event)
virtual void | mouseDoubleClickEvent (QGraphicsSceneMouseEvent *event)
virtual void | wheelEvent (QGraphicsSceneWheelEvent *event)
virtual void | inputMethodEvent (QInputMethodEvent *event)
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery query) const
virtual QVariant | itemChange (GraphicsItemChange change, const QVariant &value)
virtual bool | supportsExtension (Extension extension) const
virtual void | setExtension (Extension extension, const QVariant &variant)
virtual QVariant | extension (const QVariant &variant) const
| QGraphicsItem (QGraphicsItemPrivate &dd, QGraphicsItem *parent, QGraphicsScene *scene)
void | addToIndex ()
void | removeFromIndex ()
void | prepareGeometryChange ()
## Protected Attributes
QScopedPointer < QGraphicsItemPrivate > | d_ptr
## Friends
class | QGraphicsItemGroup
class | QGraphicsScene
class | QGraphicsScenePrivate
class | QGraphicsSceneFindItemBspTreeVisitor
class | QGraphicsSceneBspTree
class | QGraphicsView
class | QGraphicsViewPrivate
class | QGraphicsObject
class | QGraphicsWidget
class | QGraphicsWidgetPrivate
class | QGraphicsProxyWidgetPrivate
class | QGraphicsSceneIndex
class | QGraphicsSceneIndexPrivate
class | QGraphicsSceneBspTreeIndex
class | QGraphicsSceneBspTreeIndexPrivate
class | QGraphicsItemEffectSourcePrivate
class | QGraphicsTransformPrivate
class | QGestureManager
class | ::tst_QGraphicsItem
bool | qt_closestLeaf (const QGraphicsItem *, const QGraphicsItem *)
bool | qt_closestItemFirst (const QGraphicsItem *, const QGraphicsItem *)

## Member Enumeration Documentation

enum GraphicsItemFlag

Search for all occurrences

Enumerator:

  ItemIsMovable | Search for all occurrences
  ItemIsSelectable | Search for all occurrences
  ItemIsFocusable | Search for all occurrences
  ItemClipsToShape | Search for all occurrences
  ItemClipsChildrenToShape | Search for all occurrences
  ItemIgnoresTransformations | Search for all occurrences
  ItemIgnoresParentOpacity | Search for all occurrences
  ItemDoesntPropagateOpacityToChildren | Search for all occurrences
  ItemStacksBehindParent | Search for all occurrences
  ItemUsesExtendedStyleOption | Search for all occurrences
  ItemHasNoContents | Search for all occurrences
  ItemSendsGeometryChanges | Search for all occurrences
  ItemAcceptsInputMethod | Search for all occurrences
  ItemNegativeZStacksBehindParent | Search for all occurrences
  ItemIsPanel | Search for all occurrences
  ItemIsFocusScope | Search for all occurrences
  ItemSendsScenePositionChanges | Search for all occurrences
  ItemStopsClickFocusPropagation | Search for all occurrences

Definition at line 92 of file qgraphicsitem.h.

                              {
            ItemIsMovable = 0x1,
            ItemIsSelectable = 0x2,
            ItemIsFocusable = 0x4,
            ItemClipsToShape = 0x8,
            ItemClipsChildrenToShape = 0x10,
            ItemIgnoresTransformations = 0x20,
            ItemIgnoresParentOpacity = 0x40,
            ItemDoesntPropagateOpacityToChildren = 0x80,
            ItemStacksBehindParent = 0x100,
            ItemUsesExtendedStyleOption = 0x200,
            ItemHasNoContents = 0x400,
            ItemSendsGeometryChanges = 0x800,
            ItemAcceptsInputMethod = 0x1000,
            ItemNegativeZStacksBehindParent = 0x2000,
            ItemIsPanel = 0x4000,
            ItemIsFocusScope = 0x8000, // internal
            ItemSendsScenePositionChanges = 0x10000,
            ItemStopsClickFocusPropagation = 0x20000
            // NB! Don't forget to increase the d_ptr->flags bit field by 1 when adding a new flag.
        };

enum GraphicsItemChange

Search for all occurrences

Enumerator:

  ItemPositionChange | Search for all occurrences
  ItemMatrixChange | Search for all occurrences
  ItemVisibleChange | Search for all occurrences
  ItemEnabledChange | Search for all occurrences
  ItemSelectedChange | Search for all occurrences
  ItemParentChange | Search for all occurrences
  ItemChildAddedChange | Search for all occurrences
  ItemChildRemovedChange | Search for all occurrences
  ItemTransformChange | Search for all occurrences
  ItemPositionHasChanged | Search for all occurrences
  ItemTransformHasChanged | Search for all occurrences
  ItemSceneChange | Search for all occurrences
  ItemVisibleHasChanged | Search for all occurrences
  ItemEnabledHasChanged | Search for all occurrences
  ItemSelectedHasChanged | Search for all occurrences
  ItemParentHasChanged | Search for all occurrences
  ItemSceneHasChanged | Search for all occurrences
  ItemCursorChange | Search for all occurrences
  ItemCursorHasChanged | Search for all occurrences
  ItemToolTipChange | Search for all occurrences
  ItemToolTipHasChanged | Search for all occurrences
  ItemFlagsChange | Search for all occurrences
  ItemFlagsHaveChanged | Search for all occurrences
  ItemZValueChange | Search for all occurrences
  ItemZValueHasChanged | Search for all occurrences
  ItemOpacityChange | Search for all occurrences
  ItemOpacityHasChanged | Search for all occurrences
  ItemScenePositionHasChanged | Search for all occurrences
  ItemRotationChange | Search for all occurrences
  ItemRotationHasChanged | Search for all occurrences
  ItemScaleChange | Search for all occurrences
  ItemScaleHasChanged | Search for all occurrences
  ItemTransformOriginPointChange | Search for all occurrences
  ItemTransformOriginPointHasChanged | Search for all occurrences

Definition at line 115 of file qgraphicsitem.h.

                                {
            ItemPositionChange,
            ItemMatrixChange,
            ItemVisibleChange,
            ItemEnabledChange,
            ItemSelectedChange,
            ItemParentChange,
            ItemChildAddedChange,
            ItemChildRemovedChange,
            ItemTransformChange,
            ItemPositionHasChanged,
            ItemTransformHasChanged,
            ItemSceneChange,
            ItemVisibleHasChanged,
            ItemEnabledHasChanged,
            ItemSelectedHasChanged,
            ItemParentHasChanged,
            ItemSceneHasChanged,
            ItemCursorChange,
            ItemCursorHasChanged,
            ItemToolTipChange,
            ItemToolTipHasChanged,
            ItemFlagsChange,
            ItemFlagsHaveChanged,
            ItemZValueChange,
            ItemZValueHasChanged,
            ItemOpacityChange,
            ItemOpacityHasChanged,
            ItemScenePositionHasChanged,
            ItemRotationChange,
            ItemRotationHasChanged,
            ItemScaleChange,
            ItemScaleHasChanged,
            ItemTransformOriginPointChange,
            ItemTransformOriginPointHasChanged
        };

enum CacheMode

Search for all occurrences

Enumerator:

  NoCache | Search for all occurrences
  ItemCoordinateCache | Search for all occurrences
  DeviceCoordinateCache | Search for all occurrences

Definition at line 152 of file qgraphicsitem.h.

                       {
            NoCache,
            ItemCoordinateCache,
            DeviceCoordinateCache
        };

enum PanelModality

Search for all occurrences

Enumerator:

  NonModal | Search for all occurrences
  PanelModal | Search for all occurrences
  SceneModal | Search for all occurrences

Definition at line 158 of file qgraphicsitem.h.

        {
            NonModal,
            PanelModal,
            SceneModal
        };

anonymous enum

Search for all occurrences

Enumerator:

  Type | Search for all occurrences
  UserType | Search for all occurrences

Definition at line 418 of file qgraphicsitem.h.

             {
            Type = 1,
            UserType = 65536
        };

enum Extension `[protected]`

Search for all occurrences

Enumerator:

  UserExtension | Search for all occurrences

Definition at line 453 of file qgraphicsitem.h.

                       {
            UserExtension = 0x80000000
        };

## Constructor & Destructor Documentation

QGraphicsItem | ( | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

virtual ~QGraphicsItem | ( |  | ) | `[virtual]`

QGraphicsItem | ( | QGraphicsItemPrivate & | dd,
|  | QGraphicsItem * | parent,
|  | QGraphicsScene * | scene
| ) |  | `[protected]`

## Member Function Documentation

QGraphicsScene* scene | ( |  | ) | const

Search for all occurrences

QGraphicsItem* parentItem | ( |  | ) | const

Search for all occurrences

QGraphicsItem* topLevelItem | ( |  | ) | const

Search for all occurrences

QGraphicsObject* parentObject | ( |  | ) | const

Search for all occurrences

QGraphicsWidget* parentWidget | ( |  | ) | const

Search for all occurrences

QGraphicsWidget* topLevelWidget | ( |  | ) | const

Search for all occurrences

QGraphicsWidget* window | ( |  | ) | const

Search for all occurrences

QGraphicsItem* panel | ( |  | ) | const

Search for all occurrences

void setParentItem | ( | QGraphicsItem * | parent | ) |

Search for all occurrences

QList<QGraphicsItem *> children | ( |  | ) | const

Search for all occurrences

QList<QGraphicsItem *> childItems | ( |  | ) | const

Search for all occurrences

bool isWidget | ( |  | ) | const

Search for all occurrences

bool isWindow | ( |  | ) | const

Search for all occurrences

bool isPanel | ( |  | ) | const

Search for all occurrences

QGraphicsObject* toGraphicsObject | ( |  | ) |

Search for all occurrences

const QGraphicsObject* toGraphicsObject | ( |  | ) | const

Search for all occurrences

QGraphicsItemGroup* group | ( |  | ) | const

Search for all occurrences

void setGroup | ( | QGraphicsItemGroup * | group | ) |

Search for all occurrences

GraphicsItemFlags flags | ( |  | ) | const

Search for all occurrences

void setFlag | ( | GraphicsItemFlag | flag,
|  | bool | enabled = `true`
| ) |  |

Search for all occurrences

void setFlags | ( | GraphicsItemFlags | flags | ) |

Search for all occurrences

CacheMode cacheMode | ( |  | ) | const

Search for all occurrences

void setCacheMode | ( | CacheMode | mode,
|  | const QSize & | cacheSize = `QSize()`
| ) |  |

Search for all occurrences

PanelModality panelModality | ( |  | ) | const

Search for all occurrences

void setPanelModality | ( | PanelModality | panelModality | ) |

Search for all occurrences

bool isBlockedByModalPanel | ( | QGraphicsItem ** | blockingPanel = `0` | ) | const

Search for all occurrences

QString toolTip | ( |  | ) | const

Search for all occurrences

void setToolTip | ( | const QString & | toolTip | ) |

Search for all occurrences

QCursor cursor | ( |  | ) | const

Search for all occurrences

void setCursor | ( | const QCursor & | cursor | ) |

Search for all occurrences

bool hasCursor | ( |  | ) | const

Search for all occurrences

void unsetCursor | ( |  | ) |

Search for all occurrences

bool isVisible | ( |  | ) | const

Search for all occurrences

bool isVisibleTo | ( | const QGraphicsItem * | parent | ) | const

Search for all occurrences

void setVisible | ( | bool | visible | ) |

Search for all occurrences

void hide | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 221 of file qgraphicsitem.h.

    { setVisible(false); }

void show | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 222 of file qgraphicsitem.h.

    { setVisible(true); }

bool isEnabled | ( |  | ) | const

Search for all occurrences

void setEnabled | ( | bool | enabled | ) |

Search for all occurrences

bool isSelected | ( |  | ) | const

Search for all occurrences

void setSelected | ( | bool | selected | ) |

Search for all occurrences

bool acceptDrops | ( |  | ) | const

Search for all occurrences

void setAcceptDrops | ( | bool | on | ) |

Search for all occurrences

qreal opacity | ( |  | ) | const

Search for all occurrences

qreal effectiveOpacity | ( |  | ) | const

Search for all occurrences

void setOpacity | ( | qreal | opacity | ) |

Search for all occurrences

QGraphicsEffect* graphicsEffect | ( |  | ) | const

Search for all occurrences

void setGraphicsEffect | ( | QGraphicsEffect * | effect | ) |

Search for all occurrences

Qt::MouseButtons acceptedMouseButtons | ( |  | ) | const

Search for all occurrences

void setAcceptedMouseButtons | ( | Qt::MouseButtons | buttons | ) |

Search for all occurrences

bool acceptsHoverEvents | ( |  | ) | const

Search for all occurrences

void setAcceptsHoverEvents | ( | bool | enabled | ) |

Search for all occurrences

bool acceptHoverEvents | ( |  | ) | const

Search for all occurrences

void setAcceptHoverEvents | ( | bool | enabled | ) |

Search for all occurrences

bool acceptTouchEvents | ( |  | ) | const

Search for all occurrences

void setAcceptTouchEvents | ( | bool | enabled | ) |

Search for all occurrences

bool filtersChildEvents | ( |  | ) | const

Search for all occurrences

void setFiltersChildEvents | ( | bool | enabled | ) |

Search for all occurrences

bool handlesChildEvents | ( |  | ) | const

Search for all occurrences

void setHandlesChildEvents | ( | bool | enabled | ) |

Search for all occurrences

bool isActive | ( |  | ) | const

Search for all occurrences

void setActive | ( | bool | active | ) |

Search for all occurrences

bool hasFocus | ( |  | ) | const

Search for all occurrences

void setFocus | ( | Qt::FocusReason | focusReason = `Qt::OtherFocusReason` | ) |

Search for all occurrences

void clearFocus | ( |  | ) |

Search for all occurrences

QGraphicsItem* focusProxy | ( |  | ) | const

Search for all occurrences

void setFocusProxy | ( | QGraphicsItem * | item | ) |

Search for all occurrences

QGraphicsItem* focusItem | ( |  | ) | const

Search for all occurrences

QGraphicsItem* focusScopeItem | ( |  | ) | const

Search for all occurrences

void grabMouse | ( |  | ) |

Search for all occurrences

void ungrabMouse | ( |  | ) |

Search for all occurrences

void grabKeyboard | ( |  | ) |

Search for all occurrences

void ungrabKeyboard | ( |  | ) |

Search for all occurrences

QPointF pos | ( |  | ) | const

Search for all occurrences

qreal x | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 279 of file qgraphicsitem.h.

    { return pos().x(); }

void setX | ( | qreal | x | ) |

Search for all occurrences

qreal y | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 281 of file qgraphicsitem.h.

    { return pos().y(); }

void setY | ( | qreal | y | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

void setPos | ( | qreal | x,
|  | qreal | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 500 of file qgraphicsitem.h.

    { setPos(QPointF(ax, ay)); }

void moveBy | ( | qreal | dx,
|  | qreal | dy
| ) |  | `[inline]`

Search for all occurrences

Definition at line 286 of file qgraphicsitem.h.

    { setPos(pos().x() + dx, pos().y() + dy); }

void ensureVisible | ( | const QRectF & | rect = `QRectF()`,
|  | int | xmargin = `50`,
|  | int | ymargin = `50`
| ) |  |

Search for all occurrences

void ensureVisible | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h,
|  | int | xmargin = `50`,
|  | int | ymargin = `50`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 502 of file qgraphicsitem.h.

    { ensureVisible(QRectF(ax, ay, w, h), xmargin, ymargin); }

QMatrix matrix | ( |  | ) | const

Search for all occurrences

QMatrix sceneMatrix | ( |  | ) | const

Search for all occurrences

void setMatrix | ( | const QMatrix & | matrix,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

void resetMatrix | ( |  | ) |

Search for all occurrences

QTransform transform | ( |  | ) | const

Search for all occurrences

QTransform sceneTransform | ( |  | ) | const

Search for all occurrences

QTransform deviceTransform | ( | const QTransform & | viewportTransform | ) | const

Search for all occurrences

QTransform itemTransform | ( | const QGraphicsItem * | other,
|  | bool * | ok = `0`
| ) |  | const

Search for all occurrences

void setTransform | ( | const QTransform & | matrix,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

void resetTransform | ( |  | ) |

Search for all occurrences

void rotate | ( | qreal | angle | ) |

Search for all occurrences

void scale | ( | qreal | sx,
|  | qreal | sy
| ) |  |

Search for all occurrences

void shear | ( | qreal | sh,
|  | qreal | sv
| ) |  |

Search for all occurrences

void translate | ( | qreal | dx,
|  | qreal | dy
| ) |  |

Search for all occurrences

void setRotation | ( | qreal | angle | ) |

Search for all occurrences

qreal rotation | ( |  | ) | const

Search for all occurrences

void setScale | ( | qreal | scale | ) |

Search for all occurrences

qreal scale | ( |  | ) | const

Search for all occurrences

QList<QGraphicsTransform *> transformations | ( |  | ) | const

Search for all occurrences

void setTransformations | ( | const QList< QGraphicsTransform * > & | transformations | ) |

Search for all occurrences

QPointF transformOriginPoint | ( |  | ) | const

Search for all occurrences

void setTransformOriginPoint | ( | const QPointF & | origin | ) |

Search for all occurrences

void setTransformOriginPoint | ( | qreal | ax,
|  | qreal | ay
| ) |  | `[inline]`

Search for all occurrences

Definition at line 319 of file qgraphicsitem.h.

        { setTransformOriginPoint(QPointF(ax,ay)); }

virtual void advance | ( | int | phase | ) | `[virtual]`

Search for all occurrences

qreal zValue | ( |  | ) | const

Search for all occurrences

void setZValue | ( | qreal | z | ) |

Search for all occurrences

void stackBefore | ( | const QGraphicsItem * | sibling | ) |

Search for all occurrences

virtual QRectF boundingRect | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, QGraphicsItemGroup, and QGraphicsWidget.

QRectF childrenBoundingRect | ( |  | ) | const

Search for all occurrences

QRectF sceneBoundingRect | ( |  | ) | const

Search for all occurrences

virtual QPainterPath shape | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, and QGraphicsWidget.

bool isClipped | ( |  | ) | const

Search for all occurrences

QPainterPath clipPath | ( |  | ) | const

Search for all occurrences

virtual bool contains | ( | const QPointF & | point | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, and QGraphicsSimpleTextItem.

virtual bool collidesWithItem | ( | const QGraphicsItem * | other,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const `[virtual]`

Search for all occurrences

virtual bool collidesWithPath | ( | const QPainterPath & | path,
|  | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape`
| ) |  | const `[virtual]`

Search for all occurrences

QList<QGraphicsItem *> collidingItems | ( | Qt::ItemSelectionMode | mode = `Qt::IntersectsItemShape` | ) | const

Search for all occurrences

bool isObscured | ( |  | ) | const

Search for all occurrences

bool isObscured | ( | const QRectF & | rect | ) | const

Search for all occurrences

bool isObscured | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 506 of file qgraphicsitem.h.

    { return isObscured(QRectF(ax, ay, w, h)); }

virtual bool isObscuredBy | ( | const QGraphicsItem * | item | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QAbstractGraphicsShapeItem, QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, and QGraphicsItemGroup.

virtual QPainterPath opaqueArea | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QAbstractGraphicsShapeItem, QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, and QGraphicsItemGroup.

QRegion boundingRegion | ( | const QTransform & | itemToDeviceTransform | ) | const

Search for all occurrences

qreal boundingRegionGranularity | ( |  | ) | const

Search for all occurrences

void setBoundingRegionGranularity | ( | qreal | granularity | ) |

Search for all occurrences

virtual void paint | ( | QPainter * | painter,
|  | const QStyleOptionGraphicsItem * | option,
|  | QWidget * | widget = `0`
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, QGraphicsItemGroup, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

void update | ( | const QRectF & | rect = `QRectF()` | ) |

Search for all occurrences

void update | ( | qreal | x,
|  | qreal | y,
|  | qreal | width,
|  | qreal | height
| ) |  | `[inline]`

Search for all occurrences

Definition at line 504 of file qgraphicsitem.h.

    { update(QRectF(ax, ay, width, height)); }

void scroll | ( | qreal | dx,
|  | qreal | dy,
|  | const QRectF & | rect = `QRectF()`
| ) |  |

Search for all occurrences

QPointF mapToItem | ( | const QGraphicsItem * | item,
|  | const QPointF & | point
| ) |  | const

Search for all occurrences

QPointF mapToParent | ( | const QPointF & | point | ) | const

Search for all occurrences

QPointF mapToScene | ( | const QPointF & | point | ) | const

Search for all occurrences

QPolygonF mapToItem | ( | const QGraphicsItem * | item,
|  | const QRectF & | rect
| ) |  | const

Search for all occurrences

QPolygonF mapToParent | ( | const QRectF & | rect | ) | const

Search for all occurrences

QPolygonF mapToScene | ( | const QRectF & | rect | ) | const

Search for all occurrences

QRectF mapRectToItem | ( | const QGraphicsItem * | item,
|  | const QRectF & | rect
| ) |  | const

Search for all occurrences

QRectF mapRectToParent | ( | const QRectF & | rect | ) | const

Search for all occurrences

QRectF mapRectToScene | ( | const QRectF & | rect | ) | const

Search for all occurrences

QPolygonF mapToItem | ( | const QGraphicsItem * | item,
|  | const QPolygonF & | polygon
| ) |  | const

Search for all occurrences

QPolygonF mapToParent | ( | const QPolygonF & | polygon | ) | const

Search for all occurrences

QPolygonF mapToScene | ( | const QPolygonF & | polygon | ) | const

Search for all occurrences

QPainterPath mapToItem | ( | const QGraphicsItem * | item,
|  | const QPainterPath & | path
| ) |  | const

Search for all occurrences

QPainterPath mapToParent | ( | const QPainterPath & | path | ) | const

Search for all occurrences

QPainterPath mapToScene | ( | const QPainterPath & | path | ) | const

Search for all occurrences

QPointF mapFromItem | ( | const QGraphicsItem * | item,
|  | const QPointF & | point
| ) |  | const

Search for all occurrences

QPointF mapFromParent | ( | const QPointF & | point | ) | const

Search for all occurrences

QPointF mapFromScene | ( | const QPointF & | point | ) | const

Search for all occurrences

QPolygonF mapFromItem | ( | const QGraphicsItem * | item,
|  | const QRectF & | rect
| ) |  | const

Search for all occurrences

QPolygonF mapFromParent | ( | const QRectF & | rect | ) | const

Search for all occurrences

QPolygonF mapFromScene | ( | const QRectF & | rect | ) | const

Search for all occurrences

QRectF mapRectFromItem | ( | const QGraphicsItem * | item,
|  | const QRectF & | rect
| ) |  | const

Search for all occurrences

QRectF mapRectFromParent | ( | const QRectF & | rect | ) | const

Search for all occurrences

QRectF mapRectFromScene | ( | const QRectF & | rect | ) | const

Search for all occurrences

QPolygonF mapFromItem | ( | const QGraphicsItem * | item,
|  | const QPolygonF & | polygon
| ) |  | const

Search for all occurrences

QPolygonF mapFromParent | ( | const QPolygonF & | polygon | ) | const

Search for all occurrences

QPolygonF mapFromScene | ( | const QPolygonF & | polygon | ) | const

Search for all occurrences

QPainterPath mapFromItem | ( | const QGraphicsItem * | item,
|  | const QPainterPath & | path
| ) |  | const

Search for all occurrences

QPainterPath mapFromParent | ( | const QPainterPath & | path | ) | const

Search for all occurrences

QPainterPath mapFromScene | ( | const QPainterPath & | path | ) | const

Search for all occurrences

QPointF mapToItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 508 of file qgraphicsitem.h.

    { return mapToItem(item, QPointF(ax, ay)); }

QPointF mapToParent | ( | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 510 of file qgraphicsitem.h.

    { return mapToParent(QPointF(ax, ay)); }

QPointF mapToScene | ( | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 512 of file qgraphicsitem.h.

    { return mapToScene(QPointF(ax, ay));  }

QPolygonF mapToItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 520 of file qgraphicsitem.h.

    { return mapToItem(item, QRectF(ax, ay, w, h)); }

QPolygonF mapToParent | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 522 of file qgraphicsitem.h.

    { return mapToParent(QRectF(ax, ay, w, h)); }

QPolygonF mapToScene | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 524 of file qgraphicsitem.h.

    { return mapToScene(QRectF(ax, ay, w, h)); }

QRectF mapRectToItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 526 of file qgraphicsitem.h.

    { return mapRectToItem(item, QRectF(ax, ay, w, h)); }

QRectF mapRectToParent | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 528 of file qgraphicsitem.h.

    { return mapRectToParent(QRectF(ax, ay, w, h)); }

QRectF mapRectToScene | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 530 of file qgraphicsitem.h.

    { return mapRectToScene(QRectF(ax, ay, w, h)); }

QPointF mapFromItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 514 of file qgraphicsitem.h.

    { return mapFromItem(item, QPointF(ax, ay)); }

QPointF mapFromParent | ( | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 516 of file qgraphicsitem.h.

    { return mapFromParent(QPointF(ax, ay));  }

QPointF mapFromScene | ( | qreal | x,
|  | qreal | y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 518 of file qgraphicsitem.h.

    { return mapFromScene(QPointF(ax, ay));  }

QPolygonF mapFromItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 532 of file qgraphicsitem.h.

    { return mapFromItem(item, QRectF(ax, ay, w, h)); }

QPolygonF mapFromParent | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 534 of file qgraphicsitem.h.

    { return mapFromParent(QRectF(ax, ay, w, h)); }

QPolygonF mapFromScene | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 536 of file qgraphicsitem.h.

    { return mapFromScene(QRectF(ax, ay, w, h)); }

QRectF mapRectFromItem | ( | const QGraphicsItem * | item,
|  | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 538 of file qgraphicsitem.h.

    { return mapRectFromItem(item, QRectF(ax, ay, w, h)); }

QRectF mapRectFromParent | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 540 of file qgraphicsitem.h.

    { return mapRectFromParent(QRectF(ax, ay, w, h)); }

QRectF mapRectFromScene | ( | qreal | x,
|  | qreal | y,
|  | qreal | w,
|  | qreal | h
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 542 of file qgraphicsitem.h.

    { return mapRectFromScene(QRectF(ax, ay, w, h)); }

bool isAncestorOf | ( | const QGraphicsItem * | child | ) | const

Search for all occurrences

QGraphicsItem* commonAncestorItem | ( | const QGraphicsItem * | other | ) | const

Search for all occurrences

bool isUnderMouse | ( |  | ) | const

Search for all occurrences

QVariant data | ( | int | key | ) | const

Search for all occurrences

void setData | ( | int | key,
|  | const QVariant & | value
| ) |  |

Search for all occurrences

Qt::InputMethodHints inputMethodHints | ( |  | ) | const

Search for all occurrences

void setInputMethodHints | ( | Qt::InputMethodHints | hints | ) |

Search for all occurrences

virtual int type | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, QGraphicsSimpleTextItem, QGraphicsItemGroup, QGraphicsProxyWidget, and QGraphicsWidget.

void installSceneEventFilter | ( | QGraphicsItem * | filterItem | ) |

Search for all occurrences

void removeSceneEventFilter | ( | QGraphicsItem * | filterItem | ) |

Search for all occurrences

void updateMicroFocus | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented in QGraphicsObject.

virtual bool sceneEventFilter | ( | QGraphicsItem * | watched,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual bool sceneEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsWidget, and QGraphicsWebView.

virtual void contextMenuEvent | ( | QGraphicsSceneContextMenuEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void dragEnterEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void dragLeaveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void dragMoveEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void dropEvent | ( | QGraphicsSceneDragDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

virtual void focusOutEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

virtual void hoverEnterEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, and QGraphicsProxyWidget.

virtual void hoverMoveEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

virtual void hoverLeaveEvent | ( | QGraphicsSceneHoverEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

virtual void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void keyReleaseEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void mousePressEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void mouseMoveEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void mouseReleaseEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void mouseDoubleClickEvent | ( | QGraphicsSceneMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, QGraphicsProxyWidget, and QGraphicsWebView.

virtual void wheelEvent | ( | QGraphicsSceneWheelEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsProxyWidget, and QGraphicsWebView.

virtual void inputMethodEvent | ( | QInputMethodEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, and QGraphicsWebView.

virtual QVariant inputMethodQuery | ( | Qt::InputMethodQuery | query | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsTextItem, and QGraphicsWebView.

virtual QVariant itemChange | ( | GraphicsItemChange | change,
|  | const QVariant & | value
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsProxyWidget, QGraphicsWidget, and QGraphicsWebView.

virtual bool supportsExtension | ( | Extension | extension | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, and QGraphicsSimpleTextItem.

virtual void setExtension | ( | Extension | extension,
|  | const QVariant & | variant
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, and QGraphicsSimpleTextItem.

virtual QVariant extension | ( | const QVariant & | variant | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, QGraphicsLineItem, QGraphicsPixmapItem, QGraphicsTextItem, and QGraphicsSimpleTextItem.

void addToIndex | ( |  | ) | `[protected]`

Search for all occurrences

void removeFromIndex | ( |  | ) | `[protected]`

Search for all occurrences

void prepareGeometryChange | ( |  | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGraphicsItemGroup `[friend]`

Search for all occurrences

Definition at line 472 of file qgraphicsitem.h.

friend class QGraphicsScene `[friend]`

Search for all occurrences

Reimplemented in QGraphicsWidget.

Definition at line 473 of file qgraphicsitem.h.

friend class QGraphicsScenePrivate `[friend]`

Search for all occurrences

Reimplemented in QGraphicsWidget.

Definition at line 474 of file qgraphicsitem.h.

friend class QGraphicsSceneFindItemBspTreeVisitor `[friend]`

Search for all occurrences

Definition at line 475 of file qgraphicsitem.h.

friend class QGraphicsSceneBspTree `[friend]`

Search for all occurrences

Definition at line 476 of file qgraphicsitem.h.

friend class QGraphicsView `[friend]`

Search for all occurrences

Reimplemented in QGraphicsWidget.

Definition at line 477 of file qgraphicsitem.h.

friend class QGraphicsViewPrivate `[friend]`

Search for all occurrences

Definition at line 478 of file qgraphicsitem.h.

friend class QGraphicsObject `[friend]`

Search for all occurrences

Definition at line 479 of file qgraphicsitem.h.

friend class QGraphicsWidget `[friend]`

Search for all occurrences

Definition at line 480 of file qgraphicsitem.h.

friend class QGraphicsWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 481 of file qgraphicsitem.h.

friend class QGraphicsProxyWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 482 of file qgraphicsitem.h.

friend class QGraphicsSceneIndex `[friend]`

Search for all occurrences

Definition at line 483 of file qgraphicsitem.h.

friend class QGraphicsSceneIndexPrivate `[friend]`

Search for all occurrences

Definition at line 484 of file qgraphicsitem.h.

friend class QGraphicsSceneBspTreeIndex `[friend]`

Search for all occurrences

Definition at line 485 of file qgraphicsitem.h.

friend class QGraphicsSceneBspTreeIndexPrivate `[friend]`

Search for all occurrences

Definition at line 486 of file qgraphicsitem.h.

friend class QGraphicsItemEffectSourcePrivate `[friend]`

Search for all occurrences

Definition at line 487 of file qgraphicsitem.h.

friend class QGraphicsTransformPrivate `[friend]`

Search for all occurrences

Definition at line 488 of file qgraphicsitem.h.

friend class QGestureManager `[friend]`

Search for all occurrences

Definition at line 490 of file qgraphicsitem.h.

friend class ::tst_QGraphicsItem `[friend]`

Search for all occurrences

Definition at line 492 of file qgraphicsitem.h.

bool qt_closestLeaf | ( | const QGraphicsItem * | ,
|  | const QGraphicsItem * |
| ) |  | `[friend]`

Search for all occurrences

bool qt_closestItemFirst | ( | const QGraphicsItem * | ,
|  | const QGraphicsItem * |
| ) |  | `[friend]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QGraphicsItemPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 463 of file qgraphicsitem.h.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem
QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem QGraphicsItem